import 'package:protobuf3_parser/protobuf3_parser.dart';
import 'package:protobuf3_parser/src/asset_manager/asset_id.dart';
import 'package:protobuf3_parser/src/asset_manager/asset_reader.dart';
import 'package:protobuf3_parser/src/asset_manager/asset_writer.dart';

abstract class DocGenerator {
  AssetId assetId;
  AssetReader assetReader;
  AssetWriter assetWriter;
  DocGenerator(this.assetId, this.assetReader, this.assetWriter);

  late final parser = Parser(assetId, assetReader);

  Future<void> generate();
}
